Extract data from a document (sync)

Note: Use this endpoint for testing. Use the asynchronous extraction endpoints when in production.

Extract data from a local document synchronously.

To explore this endpoint, use this interactive API reference, or use one of the following options:

  • For a quick "hello world" response to this endpoint, see the API quickstart
  • For a step-by-step tutorial about calling this endpoint, see Try synchronous extraction.
  • Run this endpoint in the Sensible Postman collection. Run in Postman

There are two options for posting the document bytes.

  1. (often preferred) specify the non-encoded document bytes as the entire request body,and specify the Content-Type header, for example,"application/pdf" or "image/jpeg". See the following for supported file formats.
  2. Base64 encode the document bytes, specify them in a body "document" field, and specify application/json for the Content-Type header.

For a list of supported document file types, see Supported file types.

Path Params
string
required

Type of document to extract from. Create your custom type in the Sensible app (for example, rate_confirmation, certificate_of_insurance, or home_inspection_report). To quickly test this endpoint using the Try It button in this interactive explorer, use the senseml_basics tutorial document type with this example document. As a convenience, Sensible automatically detects the best-fit extraction from among the extraction queries ("configs") in the document type. For example, if you create an auto_insurance_quotes document type, you can add carrier 1, carrier 2, and carrier 3 configs to the document type in the Sensible app. Sensible then automatically classifies each document you upload by its carrier, so you can use the same document type for each carrier without specifying the carrier in the extraction request.

Query Params
string
enum
Defaults to production

If you specify development, extracts preferentially using config versions published to the development environment in the Sensible app. The extraction runs all configs in the doc type before picking the best fit. For each config, falls back to production version if no development version of the config exists.

Allowed:
string

If you specify the filename of the document using this parameter, then Sensible returns the filename in the extraction response.

Body Params

See endpoint description for request body options.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain